> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluxend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create user

> Add a new user with a name, email, and password



## OpenAPI

````yaml post /users
openapi: 3.0.0
info:
  description: >-
    Fluxend is backend as-a-service platform that allows you to build, deploy,
    and scale applications without managing infrastructure.
  title: Fluxend API
  contact:
    name: API Support
    url: http://github.com/fluxend/fluxend
    email: hello@fluxend.app
  version: '1.0'
servers:
  - url: https://api.fluxend.app
security: []
paths:
  /users:
    post:
      tags:
        - Users
      summary: Create user
      description: Add a new user with a name, email, and password
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/user.CreateRequest'
        description: User details
        required: true
      responses:
        '201':
          description: User created
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/response.Response'
                  - type: object
                    properties:
                      content:
                        $ref: '#/components/schemas/user.Response'
        '400':
          description: Invalid input
        '422':
          description: Unprocessable entity
        '500':
          description: Internal server error
components:
  schemas:
    user.CreateRequest:
      type: object
      properties:
        bio:
          type: string
        email:
          type: string
        password:
          type: string
        username:
          type: string
    response.Response:
      type: object
      properties:
        content: {}
        errors:
          type: array
          items:
            type: string
        metadata: {}
        success:
          type: boolean
    user.Response:
      type: object
      properties:
        bio:
          type: string
        createdAt:
          type: string
        email:
          type: string
        organizationUuid:
          type: string
        roleId:
          type: integer
        status:
          type: string
        updatedAt:
          type: string
        username:
          type: string
        uuid:
          type: string

````